package javax.swing.text.rtf;

import java.io.IOException;
import javax.swing.text.AttributeSet;
import javax.swing.text.MutableAttributeSet;

interface RTFAttribute
{
    public static final int D_CHARACTER = 0;
    public static final int D_PARAGRAPH = 1;
    public static final int D_SECTION = 2;
    public static final int D_DOCUMENT = 3;
    public static final int D_META = 4;
    
    public abstract int domain();
    
    public abstract Object swingName();
    
    public abstract String rtfName();
    
    public abstract boolean set(MutableAttributeSet p0);
    
    public abstract boolean set(MutableAttributeSet p0, int p1);
    
    public abstract boolean setDefault(MutableAttributeSet p0);
    
    public abstract boolean write(AttributeSet p0, RTFGenerator p1, boolean p2) throws IOException;
    
    public abstract boolean writeValue(Object p0, RTFGenerator p1, boolean p2) throws IOException;
}
